Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteAdminService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteAdminService

extends java.rmi.Remote

RemoteAdminService

Method Summary
`RemoteCatalogInfoManager` | `getCatalogInfoManager()` Gets the RemoteCatalogInfoManager.
`RemoteClusterAdminService` | `getClusterAdminService()` Gets the RemoteClusterAdminService.
`RemoteConfigService` | `getConfigService()` Gets the RemoteConfigService.
`RemoteConnectionInfoProviderService` | `getConnectionInfoProviderService()` Gets the connection information provider service.
`RemoteConnectionPoolManager` | `getConnectionPoolManager()` Gets the RemoteConnectionPoolManager.
`RemoteDataManager` | `getDataManager()` Gets the RemoteDataManager.
`RemoteDynamicBVElementDisplayNameManager` | `getDynamicBVElementDisplayNameManager()` Gets the dynamic BV element display name manager.
`RemoteDynamicConnectionManager` | `getDynamicConnectionManager()` Gets the dynamic connection manager.
`RemoteDynamicSecurityManager` | `getDynamicSecurityManager()` Gets the dynamic security manager.
`RemoteOrganizationManager` | `getOrganizationManager()` Gets the organization manager.
`RemoteResourceAdminService` | `getResourceAdminService()` Gets the RemoteResourceAdminService.
`RemoteResourceAliasManager` | `getResourceAliasManager()` Gets the resource alias manager.
`RemoteSecurityAdminService` | `getSecurityAdminService()` Gets the RemoteSecurityAdminService.

Method Detail

### getClusterAdminService

    RemoteClusterAdminService getClusterAdminService()
                                                     throws java.rmi.RemoteException

  Gets the RemoteClusterAdminService.

  Returns:
    the RemoteClusterAdminService.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getResourceAdminService

    RemoteResourceAdminService getResourceAdminService()
                                                       throws java.rmi.RemoteException

  Gets the RemoteResourceAdminService.

  Returns:
    the RemoteResourceAdminService.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSecurityAdminService

    RemoteSecurityAdminService getSecurityAdminService()
                                                       throws java.rmi.RemoteException

  Gets the RemoteSecurityAdminService.

  Returns:
    the RemoteSecurityAdminService.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getConfigService

    RemoteConfigService getConfigService()
                                         throws java.rmi.RemoteException

  Gets the RemoteConfigService.

  Returns:
    the RemoteConfigService.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getConnectionPoolManager

    RemoteConnectionPoolManager getConnectionPoolManager()
                                                         throws java.rmi.RemoteException

  Gets the RemoteConnectionPoolManager.

  Returns:
    the RemoteConnectionPoolManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDataManager

    RemoteDataManager getDataManager()
                                     throws java.rmi.RemoteException

  Gets the RemoteDataManager.

  Returns:
    the RemoteDataManager
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getResourceAliasManager

    RemoteResourceAliasManager getResourceAliasManager()
                                                       throws java.rmi.RemoteException

  Gets the resource alias manager.

  Returns:
    the ResourceAliasManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getConnectionInfoProviderService

    RemoteConnectionInfoProviderService getConnectionInfoProviderService()
                                                                         throws java.rmi.RemoteException

  Gets the connection information provider service.

  Returns:
    the RemoteConnectionInfoProviderService.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCatalogInfoManager

    RemoteCatalogInfoManager getCatalogInfoManager()
                                                   throws java.rmi.RemoteException

  Gets the RemoteCatalogInfoManager.

  Returns:
    the CatalogInfoManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDynamicConnectionManager

    RemoteDynamicConnectionManager getDynamicConnectionManager()
                                                               throws java.rmi.RemoteException

  Gets the dynamic connection manager.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getOrganizationManager

    RemoteOrganizationManager getOrganizationManager()
                                                     throws java.rmi.RemoteException

  Gets the organization manager.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getDynamicBVElementDisplayNameManager

    RemoteDynamicBVElementDisplayNameManager getDynamicBVElementDisplayNameManager()
                                                                                   throws java.rmi.RemoteException

  Gets the dynamic BV element display name manager.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getDynamicSecurityManager

    RemoteDynamicSecurityManager getDynamicSecurityManager()
                                                           throws java.rmi.RemoteException

  Gets the dynamic security manager.

  Returns:
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD